<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">


    <h:body>
        <ui:composition template="../WEB-INF/template/Template.xhtml">

            <ui:define name="conteudo">

                <h:form>


                    <p:growl autoUpdate="true" id="growl" />
                    <p:fieldset legend="Escolha de Bebida">
                        <p:messages id="msg" />

                        <p:panelGrid columns="2">

                            <f:facet name="header">

                                Bebida

                            </f:facet>

                            <p:outputLabel for="codigo" value="codigo" />
                            <p:inputText id="codigo" value="#{categoriaBean.categoria.id}" style="width: 40px" />

                            <p:outputLabel value="Bebida" for="bebida" />




                            <h:panelGroup>

                                <p:inputText id="bebida" value="#{categoriaBean.categoria.bebida}" required="true" />
                                <p:message for="bebida" />


                            </h:panelGroup>


                            <f:facet name="footer" >

                                <p:commandButton value="Salvar" icon="fa-save" ajax="false" action="#{categoriaBean.salvar()}" />
                                <p:spacer width="20px" />
                                <p:commandButton value="Novo" icon="fa-save" ajax="false" action="#{categoriaBean.salvar()}" />

                            </f:facet>


                        </p:panelGrid>   

                        <h:inputHidden value="#{categoriaBean.categoria.id}" />

                    </p:fieldset>

                    <p:spacer height="20px" />

                    <p:fieldset legend="Lista de Bebidas">

                        <p:dataTable value="#{categoriaBean.lista}" var="categoria" id="tabela">
                            <p:column headerText="Código" style="width: 80px; text-align: center">
                                <h:outputText value="#{categoria.id}" />

                            </p:column>


                            <p:column headerText="Bebida">

                                <h:outputText value="#{categoria.bebida}" />

                            </p:column>


                            <p:column style="width: 100px; text-align: center" >
                                <p:commandButton icon="ui-icon-pencil" title="Editar" ajax="false" immediate="true">

                                    <f:setPropertyActionListener target="#{categoriaBean.categoria}" value="#{categoria}" />

                                </p:commandButton>

                                <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{categoriaBean.excluir(categoria)}" process="@this" update="growl , tabela" />                
                            </p:column>  
                        </p:dataTable>
                    </p:fieldset>

                </h:form>
            </ui:define>
        </ui:composition>

    </h:body>
</html>




